[
  {
    "chunk_id": 18,
    "chunk_type": "variables_none",
    "human_description": "These are variable definitions for report 'LineChartReport' (resetType=None), total 1 variables. Variables: FirstLetter(java.lang.String, Nothing).",
    "raw_xml": "<variable name=\"FirstLetter\" resetType=\"None\" class=\"java.lang.String\">\n\t\t<expression>$F{ShipCountry}.substring(0, 1).toUpperCase()</expression>\n\t</variable>\n\t",
    "context": "Report 'LineChartReport' variable definitions (None level reset)",
    "metadata": {
      "variable_names": [
        "FirstLetter"
      ],
      "variable_types": {
        "FirstLetter": "java.lang.String"
      },
      "variable_calculations": {
        "FirstLetter": "Nothing"
      },
      "reset_type": "None",
      "expressions": {
        "FirstLetter": {
          "type": "expression",
          "value": "$F{ShipCountry}.substring(0, 1).toUpperCase()"
        }
      },
      "count": 1
    }
  },
  {
    "chunk_id": 18,
    "chunk_type": "variables_none",
    "human_description": "These are variable definitions for report 'LineChartReport' (resetType=None), total 1 variables. Variables: FirstLetter(java.lang.String, Nothing).",
    "raw_xml": "<variable name=\"FirstLetter\" resetType=\"None\" class=\"java.lang.String\">\n\t\t<expression>$F{ShipCountry}.substring(0, 1).toUpperCase()</expression>\n\t</variable>\n\t",
    "context": "Report 'LineChartReport' variable definitions (None level reset)",
    "metadata": {
      "variable_names": [
        "FirstLetter"
      ],
      "variable_types": {
        "FirstLetter": "java.lang.String"
      },
      "variable_calculations": {
        "FirstLetter": "Nothing"
      },
      "reset_type": "None",
      "expressions": {
        "FirstLetter": {
          "type": "expression",
          "value": "$F{ShipCountry}.substring(0, 1).toUpperCase()"
        }
      },
      "count": 1
    }
  }
]